@import "../variables";

/*THESIS*/
.thesis-count {
    margin: 0 0 20px 0;
    color: #000;
    &__number {
        font-weight: 600;
    }
}
.thesis-item-wrapper {
    margin-bottom: 20px;
}
.thesis-item {
    line-height: 1.5;
}
.thesis-item__title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 5px;
}
.thesis-item__content {
    //padding: 5px 0 0 0;
    /*max-height: 300px;*/
    overflow: hidden;
    transition: max-height 550ms ease;
}
.thesis-link-title:hover {
    text-decoration: underline;
    cursor: pointer;
}
.thesis-link-title {
    color: #1348ab;
    font-weight: 600;
    line-height: 1.3;
}
.thesis-item__title-text {
    font-size: 22px;
    color: #064276;
}
.thesis-item__title-link {
    color: #00278e;
    position: relative;
    max-width: 100%;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    padding-right: 60px;
    margin: 0 0 10px 0;
    a {
        color: rgb(9 90 0);
        font-weight: 600;
    }
}

.thesis-item__title-icon {
    font-size: 14px;
    color: rgb(9 90 0);
}
.thesis-item__btn-show {
    text-align: center;
    padding: 5px 28px;
    background-color: #dfe4e89e;
    color: #898989;
    border-radius: 5px;
}
.thesis-item__btn-show:hover {
    cursor: pointer;
    background-color: #c7c7c747;
    color: #656565;
}
.thesis-item__id {
    color: #323232;
    padding: 3px 10px;
    border: 1px solid lightgrey;
    border-radius: 5px;
}
.thesis-item__id:hover {
    cursor: pointer;
    /*background-color: #c7c7c747;*/
    border: 1px solid #bdbdbd;
}
.thesis-content-item {
    margin-bottom: 10px;
    position: relative;
}
.thesis-content-item:last-child {
    margin-bottom: 0;
}
.btn-show-content {
    display: none;
    margin-top: 10px;
}
.btn-show-content .fa-angle-up{
    display: none;
}

//THESIS CONTENT ELEMENTS
.text {
    ul {
        padding: 10px 30px;
        li {
            list-style: disc;
        }
    }
}
.bash {
    background-color: #1f2937c7;
    color: #ffffff;
    padding: 15px 20px;
    border-radius: 3px;
    line-height: 1.5;
    font-size: 14px;
    overflow-x: auto;
    .bash-command {
        white-space: pre;
    }
}
.css {
    padding: 20px 30px;
    font-size: 14px;
    border-radius: 5px;
    line-height: 1.5;
    background-color: rgb(90 141 171 / 12%);
    overflow-x: auto;
    .css-code {
        white-space: nowrap;
    }
}
.php {
    padding: 20px 30px;
    font-size: 14px;
    border-radius: 3px;
    line-height: 1.5;
    background-color: rgb(195 195 195 / 12%);
    box-shadow: inset 0 0 0 1px rgb(0 0 0 / 15%);
    color: #28517a;
    overflow-x: auto;
    .php-code {
        white-space: nowrap;
    }
}
.html {
    padding: 20px 30px;
    font-size: 14px;
    border-radius: 3px;
    line-height: 1.5;
    background-color: $backgroundHtml;
    color: #657b83;
    overflow-x: auto;
    .html-code {
        white-space: nowrap;
    }
}


/*TOOLTIP*/
.tooltip {
    position: absolute;
    top: 10px;
    right: 10px;
}
.tooltip__text {
    visibility: hidden;
    width: 110px;
    background-color: #3e3e3ec7;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    opacity: 0;
    transition: opacity 0.3s;
    font-size: 12px;
    top: 1px;
    right: 40px;
}
.tooltip__icon {
    color: #b6b6b6;
    padding: 4px 7px;
}
.tooltip__icon:hover {
    border-radius: 2px;
    cursor: pointer;
}
.icon-light:hover {
    background-color: rgba(194, 216, 238, 0.51);
    color: #676767;
}
.icon-dark:hover {
    background-color: rgba(31, 41, 55, 0.85);
}
.icon-grey:hover {
    background-color: rgb(191 191 191 / 51%);
    color: #676767;
}
.tooltip__text.thesisid-tooltip {
    top: -50px;
    right: 0;
}
.tooltip__text.thesisid-tooltip:after {
    content: "";
    position: absolute;
    top: 100%;
    left: 75%;
    border-width: 5px;
    border-style: solid;
    border-color: #3e3e3ec7 transparent transparent transparent;
}


@media only screen and (max-width: 768px) {
    .thesis-count {
        padding: 0 20px;
        margin: 20px 0;
    }
    .thesis-item-wrapper {
        padding: 0 10px;
        margin-bottom: 10px;
    }
    .thesis-item-wrapper:last-child {
        border-bottom: none;
    }
}
@media only screen and (max-width: 600px) {
    .thesis-item__title-text {
        line-height: 1;
    }
    .thesis-item__title-link {
        margin-top: 5px;
    }
}

//THESIS TYPE DEFINITION
.definition {
    border: $searchThesisBorder;
    border-radius: $searchThesisBorderRadius;
    background-color: #fff;
    //box-shadow: $searchThesisShadow;
    &__header {
        display: flex;
        justify-content: space-between;
        border-bottom: 1px solid #d5d5d5;
        padding: 15px 20px;
        font-size: 20px;
        color: #000;
        border-radius: 5px 5px 0 0;
        background-color: #f3f3f3;
        &:hover {
            background-color: #f1f1f1;
            cursor: pointer;
        }
    }
    &__content {
        padding: 20px;
    }
    &__word {
        h1 {
            font-weight: bold;
        }
    }
    &__source {
        a {
            color: $mainColor;
            &:hover {
                color: #69A7CCFF;
            }
        }
    }
}
@media only screen and (max-width : 568px) {
    .definition {
        &__header {
            padding: 15px 20px;
        }
        &__content {
            padding: 15px 20px;
        }
    }
    .thesis-link-title {
        font-size: 20px;
    }
}

//THESIS TYPE LIST
.list {
    border: $searchThesisBorder;
    border-radius: $searchThesisBorderRadius;
    padding: 20px;
    background-color: #fff;
    &__item {
        margin: 20px 0;
        border-bottom: 1px solid #cbcbcb;
        padding-bottom: 20px;
        &:last-child {
            margin: 0;
            border-bottom: none;
            padding-bottom: 0;
        }
        &:first-child {
            margin-top: 0;
        }
    }
    &__item-title {
        font-weight: bold;
        font-size: 16px;
    }
    &__item-body {
        margin-top: 10px;
        line-height: 1.3;
    }
}

//THESIS TYPE DEFAULT
.default {
    padding: 20px;
    border: $searchThesisBorder;
    border-radius: $searchThesisBorderRadius;
    background-color: #fff;
}